<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}
    {{ block "confirm-retry-submit-contract-modal" . }}{{ end }}
    {{ block "confirm-retry-submit-acc-sig-modal" . }}{{ end }}
    {{ block "confirm-retry-submit-rej-sig-modal" . }}{{ end }}
    {{ block "confirm-retry-submit-rev-sig-modal" . }}{{ end }}


    <div class="contract-distribution-detail-page">
        <p>
            <a href="/contract/{{ .ContentHash }}" class="button--link"
                >{{ svg "icon-chevron-left" "icon--inline" }}
                {{ i18n "Back" }}</a
            >
        </p>

        {{ range $action, $contractDistribution := .ContractDistribution }}
            <div class="contract-distribution-detail-page__action">
                <h2>{{ $action }}</h2>

                <section class="contract-distribution-detail-page__section">
                    <p
                        class="contract-distribution-detail-page__section-header"
                    >
                        {{ svg "icon-hashtag" "icon--inline" }}
                        {{ i18n "Attempts" }}
                    </p>

                    <p class="contract-detail-page__section-content">
                        {{ $contractDistribution.Attempts }}
                    </p>

                    <p
                        class="contract-distribution-detail-page__section-header"
                    >
                        {{ svg "icon-time-line" "icon--inline" }}
                        {{ i18n "Last attempt" }}
                    </p>

                    <p class="contract-detail-page__section-content">
                        <time
                            datetime="{{ $contractDistribution.LastAttempt }}"
                            data-format="L LTS"
                        >
                            {{ $contractDistribution.LastAttempt }}
                        </time>
                    </p>

                    {{ if $contractDistribution.NextAttempt }}
                        <p
                            class="contract-distribution-detail-page__section-header"
                        >
                            {{ svg "icon-time-line" "icon--inline" }}
                            {{ i18n "Next attempt" }}
                        </p>

                        <p class="contract-detail-page__section-content">
                            {{ i18n "The distribution will be retried automatically at" }}
                            <time
                                datetime="{{ $contractDistribution.NextAttempt }}"
                                data-format="L LTS"
                            >
                                {{ $contractDistribution.NextAttempt }}
                            </time>
                        </p>
                    {{ end }}
                </section>

                <h2>{{ i18n "Error message" }}</h2>

                <p class="alert--error">
                    {{ $contractDistribution.Reason }}
                </p>

                {{ if not $contractDistribution.NextAttempt }}
                    <p>
                        {{ if eq $action "Submit Contract" }}
                            <a
                                href="#{{ $action }}"
                                onclick="window.ConfirmRetrySubmitContractModal.showModal(); return false;"
                                class="button--primary"
                            >
                                {{ i18n "Retry" }}
                            </a>
                        {{ else if eq $action "Submit Accept Signature" }}
                            <a
                                href="#{{ $action }}"
                                onclick="window.ConfirmRetrySubmitAccSigModal.showModal(); return false;"
                                class="button--primary"
                            >
                                {{ i18n "Retry" }}
                            </a>
                        {{ else if eq $action "Submit Reject Signature" }}
                            <a
                                href="#{{ $action }}"
                                onclick="window.ConfirmRetrySubmitRejSigModal.showModal(); return false;"
                                class="button--primary"
                            >
                                {{ i18n "Retry" }}
                            </a>
                        {{ else if eq $action "Submit Revoke Signature" }}
                            <a
                                href="#{{ $action }}"
                                onclick="window.ConfirmRetrySubmitRevSigModal.showModal(); return false;"
                                class="button--primary"
                            >
                                {{ i18n "Retry" }}
                            </a>
                        {{ end }}
                    </p>
                {{ else }}

                {{ end }}
            </div>
        {{ end }}
    </div>
{{ end }}

{{ define "confirm-retry-submit-contract-modal" }}
    <dialog id="ConfirmRetrySubmitContractModal" class="modal">
        <div class="modal__content">
            <header class="modal__header">
                <h1 class="modal__header__title">
                    {{ i18n "Resend Contract" }}
                </h1>
                <form>
                    <button
                        type="submit"
                        value="cancel"
                        formmethod="dialog"
                        class="modal__header__close"
                    >
                        {{ svg "icon-close" "modal__header__close-icon" }}
                    </button>
                </form>
            </header>
            <div class="modal__body">
                <p>
                    {{ i18n "Are you sure you want to retry sending this Contract?" }}
                </p>

                <form
                    class="modal__footer"
                    action="/contract/{{ .ContentHash }}/retries/{{ .PeerID }}/DISTRIBUTION_ACTION_SUBMIT_CONTRACT"
                    method="post"
                >
                    <input
                        type="hidden"
                        name="csrfToken"
                        value="{{ .BaseAuthenticatedPage.CsrfToken }}"
                    />

                    <button
                        type="submit"
                        class="button--secondary"
                        formmethod="dialog"
                        autofocus
                    >
                        {{ i18n "Cancel" }}
                    </button>

                    <button type="submit" class="button--primary">
                        {{ i18n "Send" }}
                    </button>
                </form>
            </div>
        </div>
    </dialog>
{{ end }}

{{ define "confirm-retry-submit-acc-sig-modal" }}
    <dialog id="ConfirmRetrySubmitAccSigModal" class="modal">
        <div class="modal__content">
            <header class="modal__header">
                <h1 class="modal__header__title">
                    {{ i18n "Resend Accept Signature" }}
                </h1>
                <form>
                    <button
                        type="submit"
                        value="cancel"
                        formmethod="dialog"
                        class="modal__header__close"
                    >
                        {{ svg "icon-close" "modal__header__close-icon" }}
                    </button>
                </form>
            </header>
            <div class="modal__body">
                <p>
                    {{ i18n "Are you sure you want to retry sending the Accept Signature?" }}
                </p>

                <form
                    class="modal__footer"
                    action="/contract/{{ .ContentHash }}/retries/{{ .PeerID }}/DISTRIBUTION_ACTION_SUBMIT_ACCEPT_SIGNATURE"
                    method="post"
                >
                    <input
                        type="hidden"
                        name="csrfToken"
                        value="{{ .BaseAuthenticatedPage.CsrfToken }}"
                    />
                    <button
                        type="submit"
                        class="button--secondary"
                        formmethod="dialog"
                        autofocus
                    >
                        {{ i18n "Cancel" }}
                    </button>

                    <button type="submit" class="button--primary">
                        {{ i18n "Send" }}
                    </button>
                </form>
            </div>
        </div>
    </dialog>
{{ end }}

{{ define "confirm-retry-submit-rej-sig-modal" }}
    <dialog id="ConfirmRetrySubmitRejSigModal" class="modal">
        <div class="modal__content">
            <header class="modal__header">
                <h1 class="modal__header__title">
                    {{ i18n "Resend Reject Signature" }}
                </h1>
                <form>
                    <button
                        type="submit"
                        value="cancel"
                        formmethod="dialog"
                        class="modal__header__close"
                    >
                        {{ svg "icon-close" "modal__header__close-icon" }}
                    </button>
                </form>
            </header>
            <div class="modal__body">
                <p>
                    {{ i18n "Are you sure you want to retry sending the Reject Signature?" }}
                </p>

                <form
                    class="modal__footer"
                    action="/contract/{{ .ContentHash }}/retries/{{ .PeerID }}/DISTRIBUTION_ACTION_SUBMIT_REJECT_SIGNATURE"
                    method="post"
                >
                    <input
                        type="hidden"
                        name="csrfToken"
                        value="{{ .BaseAuthenticatedPage.CsrfToken }}"
                    />
                    <button
                        type="submit"
                        class="button--secondary"
                        formmethod="dialog"
                        autofocus
                    >
                        {{ i18n "Cancel" }}
                    </button>

                    <button type="submit" class="button--primary">
                        {{ i18n "Send" }}
                    </button>
                </form>
            </div>
        </div>
    </dialog>
{{ end }}

{{ define "confirm-retry-submit-rev-sig-modal" }}
    <dialog id="ConfirmRetrySubmitRevSigModal" class="modal">
        <div class="modal__content">
            <header class="modal__header">
                <h1 class="modal__header__title">
                    {{ i18n "Resend Revoke Signature" }}
                </h1>
                <form>
                    <button
                        type="submit"
                        value="cancel"
                        formmethod="dialog"
                        class="modal__header__close"
                    >
                        {{ svg "icon-close" "modal__header__close-icon" }}
                    </button>
                </form>
            </header>
            <div class="modal__body">
                <p>
                    {{ i18n "Are you sure you want to retry sending the Revoke Signature?" }}
                </p>

                <form
                    class="modal__footer"
                    action="/contract/{{ .ContentHash }}/retries/{{ .PeerID }}/DISTRIBUTION_ACTION_SUBMIT_REVOKE_SIGNATURE"
                    method="post"
                >
                    <input
                        type="hidden"
                        name="csrfToken"
                        value="{{ .BaseAuthenticatedPage.CsrfToken }}"
                    />
                    <button
                        type="submit"
                        class="button--secondary"
                        formmethod="dialog"
                        autofocus
                    >
                        {{ i18n "Cancel" }}
                    </button>

                    <button type="submit" class="button--primary">
                        {{ i18n "Send" }}
                    </button>
                </form>
            </div>
        </div>
    </dialog>
{{ end }}
